> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shimli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Facebook Messenger

> TYPE_MESSAGE = ['text', 'image', 'video', 'file', 'audio']

*TYPE\_MESSAGE = \["text", "image", "video", "file", "audio"]*

\**Important: When sending a multimedia message (image, video, gif, audio, document) the body parameter must contain the URL of the file)*

Optional parameters

* caption *string* = Text when sending an image or video message

`POST` `/v1/facebook/send-messenger`

## Body

```json theme={null}
{
  "token": "TOKEN_SHIMLI",
  "type": "TYPE_MESSAGE",
  "body": "Hi 👋!!",
  "to": "PSID_MESSENGER",
  "instance": "ID_INSTANCE"
}
```

## Autenticacion

Este endpoint requiere tu token de API. Incluyelo en el body como `token` o como query param `token`/`api-token`. Ve [Autenticacion](/getting-started/authentication) para mas detalles.

## Ejemplo de request

```bash theme={null}
curl -X POST https://api.shimli.app/v1/facebook/send-messenger \
  -H "Content-Type: application/json" \
  -d '{
    "token": "TOKEN_SHIMLI",
    "type": "TYPE_MESSAGE",
    "body": "Hi 👋!!",
    "to": "PSID_MESSENGER",
    "instance": "ID_INSTANCE"
}'
```

## Respuesta

```json title="200 OK" theme={null}
{
  "statusCode": 200,
  "body": {
    "err": false
  }
}
```
